## fontmatrix 0.9.99

=== CMakeLists.txt ===
# Fontmatrix ./CMakeLists.txt v1

PROJECT(fontmatrix) # the name of your project
CMAKE_MINIMUM_REQUIRED(VERSION 2.6.0)

SET (VERSION_MAJOR "0")
SET (VERSION_MINOR "9")
SET (VERSION_PATCH "99")
SET (VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
ADD_DEFINITIONS(-DFONTMATRIX_VERSION_MAJOR=${VERSION_MAJOR} -DFONTMATRIX_VERSION_MINOR=${VERSION_MINOR} -DFONTMATRIX_VERSION_PATCH=${VERSION_PATCH})
MESSAGE(STATUS "Building Fontmatrix ${VERSION}")


IF(UNIX AND NOT APPLE)
	SET (CMAKE_INSTALL_PREFIX /usr/local CACHE PATH "Installation path")
	SET (FONTMATRIX_BIN bin )
	SET (FONTMATRIX_QMDIR "share/fontmatrix/qm" )
ENDIF(UNIX AND NOT APPLE)

IF(APPLE)
# 	SET (CMAKE_INSTALL_PREFIX /Applications CACHE PATH "Installation path")
# 	SET (FONTMATRIX_BIN bin "")
	set( CMAKE_OSX_ARCHITECTURES i386 )
ENDIF(APPLE)

IF(WIN32)
	SET (CMAKE_INSTALL_PREFIX c:/fontmatrix CACHE PATH "Installation path")
	SET (FONTMATRIX_BIN "")
	SET (FONTMATRIX_QMDIR "qm" )
ENDIF(WIN32)

ADD_DEFINITIONS(-DPREFIX="${CMAKE_INSTALL_PREFIX}")
MESSAGE(STATUS "Fontmatrix will be installed under ${CMAKE_INSTALL_PREFIX}")



SET(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules")

# Very generic definition, mainly to sort out bugs reported by mrdocs
IF(APPLE)
	ADD_DEFINITIONS( -DPLATFORM_APPLE )
ENDIF(APPLE)

#<< harfbuzz (shaper)
IF(WANT_HARFBUZZ)
# Since Harfbuzz source code is included into
# FM source tree, it’s just a matter of activation
# and « cohérence »
	ADD_DEFINITIONS( -DHAVE_HARFBUZZ )
	SET(HARFBUZZSHAPER 1)
	MESSAGE(STATUS "Build Harbuzz shaper support")
ENDIF(WANT_HARFBUZZ)
#>> harfbuzz (shaper)

#<< ICU
IF(WANT_ICU)
# 	SET(ICU_DIR ${CMAKE_MODULE_PATH})
	FIND_PACKAGE(ICU)
	if(ICU_FOUND)
		MESSAGE(STATUS "ICU Found OK")
		ADD_DEFINITIONS( -DHAVE_ICU )
		SET(ICUSHAPER 1)
		MESSAGE(STATUS "Build ICU shaper support")
	ELSE(ICU_FOUND)
		MESSAGE(FATAL_ERROR "ICU Not Found ARGH")
	ENDIF(ICU_FOUND)
ENDIF(WANT_ICU)

#>> ICU

#<< m17n
IF(WANT_M17N)
# 	SET(M17N_DIR ${CMAKE_MODULE_PATH})
	FIND_PACKAGE(M17N)
	if(M17N_FOUND)
		MESSAGE(STATUS "M17N Found OK")
		ADD_DEFINITIONS( -DHAVE_M17N )
		SET(M17NSHAPER 1)
		MESSAGE(STATUS "Build m17n shaper support")
	ELSE(M17N_FOUND)
		MESSAGE(FATAL_ERROR "M17N Not Found ARGH")
	ENDIF(M17N_FOUND)
ENDIF(WANT_M17N)
#>> m17n

IF(WANT_PODOFO)
# 	SET(LIBPODOFO_DIR ${CMAKE_MODULE_PATH})
	FIND_PACKAGE(LIBPODOFO)
	IF(LIBPODOFO_FOUND)
		MESSAGE(STATUS "PoDoFo Library Found OK")
		ADD_DEFINITIONS(-DHAVE_PODOFO)
		SET(PODOFO 1)
	ENDIF(LIBPODOFO_FOUND)
ENDIF(WANT_PODOFO)


# I can’t remember what it does :|
ADD_DEFINITIONS( -DHIGH_PERF )


IF(CMAKE_BUILD_TYPE STREQUAL "Debug")
	MESSAGE(STATUS "Debug build")
	ADD_DEFINITIONS(-DBUILD_TYPE_DEBUG)
ELSE(CMAKE_BUILD_TYPE STREQUAL "Debug")
	ADD_DEFINITIONS(-DQT_NO_DEBUG_OUTPUT)
ENDIF(CMAKE_BUILD_TYPE STREQUAL "Debug")

# A lot from Scribus
#<< Qt 
find_package(Qt5Core REQUIRED)
find_package(Qt5Widgets REQUIRED)
find_package(Qt5Svg REQUIRED)
find_package(Qt5Sql REQUIRED)
find_package(Qt5Xml REQUIRED)
find_package(Qt5PrintSupport REQUIRED)
find_package(Qt5WebKitWidgets REQUIRED)
find_package(Qt5LinguistTools REQUIRED)
#>> Qt

SET(HARFBUZZ_DIR harfbuzz/src)
ADD_SUBDIRECTORY(${HARFBUZZ_DIR})
MESSAGE(STATUS "Adding "${CMAKE_SOURCE_DIR}/${HARFBUZZ_DIR})
SET(HARFBUZZ_INCLUDE_DIR ${CMAKE_SOURCE_DIR}/${HARFBUZZ_DIR})

# SET(PUZZLE_DIR libpuzzle/src)
# ADD_SUBDIRECTORY(${PUZZLE_DIR})
# MESSAGE(STATUS "Adding "${CMAKE_SOURCE_DIR}/${PUZZLE_DIR})
# SET(PUZZLE_INCLUDE_DIR ${CMAKE_SOURCE_DIR}/${PUZZLE_DIR})

#<< FreeType2
# We give a try to the built-in cmake Freetype.cmake
FIND_PACKAGE(Freetype REQUIRED)
IF (FREETYPE_FOUND)
  MESSAGE(STATUS "FreeType2 Library Found OK")
ELSE (FREETYPE_FOUND)
  MESSAGE(FATAL_ERROR "No Freetype found")  
ENDIF(FREETYPE_FOUND)
#>> FreeType2

IF(WANT_PYTHONQT)
	FIND_PACKAGE(PythonLibs REQUIRED)
	if(PYTHONLIBS_FOUND)
		MESSAGE(STATUS "Python Library Found OK")
	else(PYTHONLIBS_FOUND)
		MESSAGE(FATAL_ERROR "No Python Library found")
	endif(PYTHONLIBS_FOUND)
	SET(PYTHONQT_INCLUDE_DIRS  ${CMAKE_SOURCE_DIR}/pythonqt/src)
	ADD_SUBDIRECTORY(${PYTHONQT_INCLUDE_DIRS})
	ADD_DEFINITIONS(-DHAVE_PYTHONQT)
ENDIF(WANT_PYTHONQT)

IF(UNIX AND NOT APPLE)
	SET(FONTCONFIG_DIR ${CMAKE_MODULE_PATH})
	FIND_PACKAGE(FONTCONFIG)
	IF(FONTCONFIG_FOUND)
		MESSAGE(STATUS "FontConfig Found OK")
		ADD_DEFINITIONS( -DHAVE_FONTCONFIG )
	ENDIF(FONTCONFIG_FOUND)
ENDIF(UNIX AND NOT APPLE)


SET(FM_TEMPLATES_FILES
${CMAKE_SOURCE_DIR}/src/graphic-resources/template_oneline.xml
${CMAKE_SOURCE_DIR}/src/graphic-resources/template_oneline.png
${CMAKE_SOURCE_DIR}/src/graphic-resources/template_default.xml
${CMAKE_SOURCE_DIR}/src/graphic-resources/template_default.png
)
SET(FM_STYLE_FILES
${CMAKE_SOURCE_DIR}/src/graphic-resources/html-css/info.css
${CMAKE_SOURCE_DIR}/src/graphic-resources/html-css/fontmatrix.js
${CMAKE_SOURCE_DIR}/src/graphic-resources/html-css/img/css-info-propertyname.png
${CMAKE_SOURCE_DIR}/src/graphic-resources/html-css/img/css-info-property.png
${CMAKE_SOURCE_DIR}/src/graphic-resources/html-css/img/css-shadow.png
${CMAKE_SOURCE_DIR}/src/graphic-resources/html-css/img/css-tech-info.png
)
SET(FM_WELCOME_FILES
${CMAKE_SOURCE_DIR}/src/messages/welcome_cs.html
${CMAKE_SOURCE_DIR}/src/messages/welcome_da.html
${CMAKE_SOURCE_DIR}/src/messages/welcome_de.html
${CMAKE_SOURCE_DIR}/src/messages/welcome_en.html
${CMAKE_SOURCE_DIR}/src/messages/welcome_fi.html
${CMAKE_SOURCE_DIR}/src/messages/welcome_fr.html
${CMAKE_SOURCE_DIR}/src/messages/welcome_hi.html
${CMAKE_SOURCE_DIR}/src/messages/welcome_nb.html
${CMAKE_SOURCE_DIR}/src/messages/welcome_nl.html
${CMAKE_SOURCE_DIR}/src/messages/welcome_no.html
${CMAKE_SOURCE_DIR}/src/messages/welcome_ru.html
${CMAKE_SOURCE_DIR}/src/messages/welcome_sr.html
${CMAKE_SOURCE_DIR}/src/messages/welcome_sv.html
${CMAKE_SOURCE_DIR}/src/messages/welcome_uk.html
${CMAKE_SOURCE_DIR}/src/messages/welcome_zh_CN.html
${CMAKE_SOURCE_DIR}/src/messages/welcome_zh_TW.html
)

# tell cmake to process CMakeLists.txt in that subdirectory
SET(HYPHENATE_DIR src/hyphenate)
ADD_SUBDIRECTORY(${HYPHENATE_DIR})
SET(HYPHENATE_INCLUDE_DIR ${CMAKE_SOURCE_DIR}/${HYPHENATE_DIR})



ADD_SUBDIRECTORY(src)

# dodict
# ADD_SUBDIRECTORY(src/langs)


######## Installation ##################

IF(UNIX AND NOT APPLE)
	SET(DESKTOPDIR "share/applications/")
	SET(MANDIR "share/man/")
	SET(ICONDIR "share/icons/hicolor/48x48/apps/")
	SET(RESOURCESDIR "share/fontmatrix/resources/")
	SET(HELPDIR "share/fontmatrix/help/")
	
	INSTALL(FILES
	fontmatrix.desktop
	DESTINATION ${DESKTOPDIR}
	)
	
	INSTALL(FILES
	fontmatrix.png
	DESTINATION ${ICONDIR}
	)
	
	INSTALL(FILES
	fontmatrix.1
	DESTINATION "${MANDIR}man1"
	)
	
	INSTALL(FILES
	${FM_TEMPLATES_FILES}
	${FM_STYLE_FILES}
	${FM_WELCOME_FILES}
	DESTINATION "${RESOURCESDIR}"
	)

	INSTALL(FILES
	${FM_HELP_FILES}
	DESTINATION "${HELPDIR}"
	)
ENDIF(UNIX AND NOT APPLE)

IF(APPLE)
# we do not "install" on apple’s OS
ENDIF(APPLE)

IF(WIN32)
	SET(RESOURCESDIR "share/resources/")
	SET(HELPDIR "help/")
	INSTALL(FILES
	${FM_TEMPLATES_FILES}
	${FM_STYLE_FILES}
	${FM_WELCOME_FILES}
	${FM_HELP_FILES}
	DESTINATION "${RESOURCESDIR}"
	)
	
	INSTALL(FILES
	${UNICODE_RESOURCES}
	DESTINATION "${RESOURCESDIR}/Unicode/"
	)
	
ENDIF(WIN32)

ADD_SUBDIRECTORY(help)
ADD_SUBDIRECTORY(samples)

SET(CPACK_PACKAGE_VERSION_MAJOR ${VERSION_MAJOR})
SET(CPACK_PACKAGE_VERSION_MINOR ${VERSION_MINOR})
SET(CPACK_PACKAGE_VERSION_PATCH ${VERSION_PATCH})

INCLUDE(CPack)

=== samples/CMakeLists.txt ===
# Samples
SET(SAMPLE_DIR ${RESOURCESDIR}/Samples/)

# Bengali
ADD_SUBDIRECTORY(bn)

# Deutsch
ADD_SUBDIRECTORY(de)

# Français
ADD_SUBDIRECTORY(fr)

# Gujarati
ADD_SUBDIRECTORY(gu)

# Hebrew
ADD_SUBDIRECTORY(he)

# Hindi
ADD_SUBDIRECTORY(hi)

# Kannada
ADD_SUBDIRECTORY(kn)

# Malayalam
ADD_SUBDIRECTORY(ml)

# Marathi
ADD_SUBDIRECTORY(mr)

# Oriya
ADD_SUBDIRECTORY(or)

# Punjabi
ADD_SUBDIRECTORY(pa)

# Russian
ADD_SUBDIRECTORY(ru)

# Tamil
ADD_SUBDIRECTORY(ta)

# Telugu
ADD_SUBDIRECTORY(te)

# Udmurt
ADD_SUBDIRECTORY(udm)

=== src/CMakeLists.txt ===
# Fontmatrix src/CMakeLists.txt v1

set(QT_LIBRARIES Qt5::Core Qt5::Widgets Qt5::Svg Qt5::Sql Qt5::Xml Qt5::PrintSupport Qt5::WebKitWidgets)

set(fontmatrix_SRCS
${CMAKE_CURRENT_SOURCE_DIR}/aboutwidget.cpp
${CMAKE_CURRENT_SOURCE_DIR}/activationwidget.cpp
${CMAKE_CURRENT_SOURCE_DIR}/activationwidgetitem.cpp
${CMAKE_CURRENT_SOURCE_DIR}/browserwidget.cpp
${CMAKE_CURRENT_SOURCE_DIR}/chartwidget.cpp
${CMAKE_CURRENT_SOURCE_DIR}/dataexport.cpp
${CMAKE_CURRENT_SOURCE_DIR}/dataloader.cpp
${CMAKE_CURRENT_SOURCE_DIR}/dumpdialog.cpp
${CMAKE_CURRENT_SOURCE_DIR}/familywidget.cpp
${CMAKE_CURRENT_SOURCE_DIR}/filterbar.cpp
${CMAKE_CURRENT_SOURCE_DIR}/filterdata.cpp
${CMAKE_CURRENT_SOURCE_DIR}/filtersdialog.cpp
${CMAKE_CURRENT_SOURCE_DIR}/filtersdialogitem.cpp
${CMAKE_CURRENT_SOURCE_DIR}/filteritem.cpp
${CMAKE_CURRENT_SOURCE_DIR}/filtermeta.cpp
${CMAKE_CURRENT_SOURCE_DIR}/filterpanose.cpp
${CMAKE_CURRENT_SOURCE_DIR}/filtertag.cpp
${CMAKE_CURRENT_SOURCE_DIR}/floatingwidget.cpp
${CMAKE_CURRENT_SOURCE_DIR}/floatingwidgetsregister.cpp
${CMAKE_CURRENT_SOURCE_DIR}/floatingwidgettoolbar.cpp
${CMAKE_CURRENT_SOURCE_DIR}/fmactivate.cpp
${CMAKE_CURRENT_SOURCE_DIR}/fmactivationreport.cpp
${CMAKE_CURRENT_SOURCE_DIR}/fmaltcontext.cpp
${CMAKE_CURRENT_SOURCE_DIR}/fmaltselector.cpp
${CMAKE_CURRENT_SOURCE_DIR}/fmbaseshaper.cpp
${CMAKE_CURRENT_SOURCE_DIR}/fmdumpinfo.cpp
${CMAKE_CURRENT_SOURCE_DIR}/fmencdata.cpp
${CMAKE_CURRENT_SOURCE_DIR}/fmfloatingpreview.cpp
${CMAKE_CURRENT_SOURCE_DIR}/fmfontcompareview.cpp
${CMAKE_CURRENT_SOURCE_DIR}/fmfontdb.cpp
${CMAKE_CURRENT_SOURCE_DIR}/fmfontextract.cpp
${CMAKE_CURRENT_SOURCE_DIR}/fmfontstrings.cpp
${CMAKE_CURRENT_SOURCE_DIR}/fmfreetypelib.cpp
${CMAKE_CURRENT_SOURCE_DIR}/fmglyphhighlight.cpp
${CMAKE_CURRENT_SOURCE_DIR}/fmglyphsview.cpp
${CMAKE_CURRENT_SOURCE_DIR}/fminfodisplay.cpp
${CMAKE_CURRENT_SOURCE_DIR}/fmkernfeat.cpp
${CMAKE_CURRENT_SOURCE_DIR}/fmlayoptwidget.cpp
${CMAKE_CURRENT_SOURCE_DIR}/fmlayout.cpp
${CMAKE_CURRENT_SOURCE_DIR}/fmmatchraster.cpp
${CMAKE_CURRENT_SOURCE_DIR}/fmmissingfonthelper.cpp
${CMAKE_CURRENT_SOURCE_DIR}/fmnamelist.cpp
${CMAKE_CURRENT_SOURCE_DIR}/fmotf.cpp
${CMAKE_CURRENT_SOURCE_DIR}/fmpaths.cpp
${CMAKE_CURRENT_SOURCE_DIR}/fmplayground.cpp
${CMAKE_CURRENT_SOURCE_DIR}/fmpreviewlist.cpp
# fmprintdialog.cpp
${CMAKE_CURRENT_SOURCE_DIR}/fmrepair.cpp
${CMAKE_CURRENT_SOURCE_DIR}/fmsampletextview.cpp
${CMAKE_CURRENT_SOURCE_DIR}/fmshaper_own.cpp
${CMAKE_CURRENT_SOURCE_DIR}/fmuniblocks.cpp
${CMAKE_CURRENT_SOURCE_DIR}/fmutils.cpp
${CMAKE_CURRENT_SOURCE_DIR}/fmvariants.cpp
${CMAKE_CURRENT_SOURCE_DIR}/fmverticalbutton.cpp
${CMAKE_CURRENT_SOURCE_DIR}/fontbook.cpp
${CMAKE_CURRENT_SOURCE_DIR}/fontbookdialog.cpp
${CMAKE_CURRENT_SOURCE_DIR}/fontcomparewidget.cpp
${CMAKE_CURRENT_SOURCE_DIR}/fontitem.cpp
${CMAKE_CURRENT_SOURCE_DIR}/fontmatrixshaper.cpp
${CMAKE_CURRENT_SOURCE_DIR}/glyphtosvghelper.cpp
${CMAKE_CURRENT_SOURCE_DIR}/helpbrowser.cpp
# ${CMAKE_CURRENT_SOURCE_DIR}/helpwidget.cpp
${CMAKE_CURRENT_SOURCE_DIR}/importedfontsdialog.cpp
${CMAKE_CURRENT_SOURCE_DIR}/importtags.cpp
${CMAKE_CURRENT_SOURCE_DIR}/iview.cpp
${CMAKE_CURRENT_SOURCE_DIR}/QHexView.cpp
${CMAKE_CURRENT_SOURCE_DIR}/parallelcoor.cpp
${CMAKE_CURRENT_SOURCE_DIR}/puzzleviewimp.cpp
#${CMAKE_CURRENT_SOURCE_DIR}/listdockwidget.cpp
${CMAKE_CURRENT_SOURCE_DIR}/main.cpp
${CMAKE_CURRENT_SOURCE_DIR}/mainviewwidget.cpp
${CMAKE_CURRENT_SOURCE_DIR}/metawidget.cpp
${CMAKE_CURRENT_SOURCE_DIR}/modeltext.cpp
${CMAKE_CURRENT_SOURCE_DIR}/openclosearrow.cpp
${CMAKE_CURRENT_SOURCE_DIR}/panosedialog.cpp
${CMAKE_CURRENT_SOURCE_DIR}/panosematch.cpp
${CMAKE_CURRENT_SOURCE_DIR}/panosemodel.cpp
${CMAKE_CURRENT_SOURCE_DIR}/panosewidget.cpp
${CMAKE_CURRENT_SOURCE_DIR}/pangoshaper.cpp
${CMAKE_CURRENT_SOURCE_DIR}/playwidget.cpp
${CMAKE_CURRENT_SOURCE_DIR}/prefspaneldialog.cpp
${CMAKE_CURRENT_SOURCE_DIR}/progressbarduo.cpp
${CMAKE_CURRENT_SOURCE_DIR}/remotedir.cpp
#${CMAKE_CURRENT_SOURCE_DIR}/savedata.cpp
${CMAKE_CURRENT_SOURCE_DIR}/sampletoolbar.cpp
${CMAKE_CURRENT_SOURCE_DIR}/samplewidget.cpp
${CMAKE_CURRENT_SOURCE_DIR}/schelptreemodel.cpp
${CMAKE_CURRENT_SOURCE_DIR}/sctextbrowser.cpp
${CMAKE_CURRENT_SOURCE_DIR}/shortcuts.cpp
${CMAKE_CURRENT_SOURCE_DIR}/systray.cpp
# ${CMAKE_CURRENT_SOURCE_DIR}/tagseteditor.cpp
${CMAKE_CURRENT_SOURCE_DIR}/tagswidget.cpp
${CMAKE_CURRENT_SOURCE_DIR}/tagswidget_listmodel.cpp
${CMAKE_CURRENT_SOURCE_DIR}/textprogression.cpp
${CMAKE_CURRENT_SOURCE_DIR}/treeitem.cpp
${CMAKE_CURRENT_SOURCE_DIR}/treemodel.cpp
${CMAKE_CURRENT_SOURCE_DIR}/tttableview.cpp
${CMAKE_CURRENT_SOURCE_DIR}/typotek.cpp
)

IF(HARFBUZZSHAPER)
	SET(HARFBUZZ_SRCS
	harfbuzzqtshaper.cpp
	fmshaper.cpp)
ENDIF(HARFBUZZSHAPER)

IF(ICUSHAPER)
	SET(ICU_SRCS icushaper.cpp)
ENDIF(ICUSHAPER)

IF(M17NSHAPER)
	SET(M17N_SRCS
	m17nshaper.cpp
	)
ENDIF(M17NSHAPER)

IF(PODOFO)
	SET(PODOFO_SRCS
	fmpdffontextractor.cpp
	)
ENDIF(PODOFO)

SET(SHAPERS_SRCS
${HARFBUZZ_SRCS}
${ICU_SRCS}
${M17N_SRCS}
)

SET(SHAPERS_LIBRARIES
${ICU_LIBRARIES}
${M17N_LIBRARIES}
)

IF(WANT_PYTHONQT)
	SET(PYTHONQT_SCRIPTER_SRCS
	${CMAKE_CURRENT_SOURCE_DIR}/fmpython_w.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/fmscriptconsole.cpp
	)
	SET(PYTHONQT_SCRIPTER_MOC_HDRS
	fmpython_w.h
	fmscriptconsole.h
	)
	SET(PYTHONQT_SCRIPTER_UIS
	${CMAKE_CURRENT_SOURCE_DIR}/scriptconsole.ui
	)
	SET(PYTHONQT_LIB PythonQt)
ENDIF(WANT_PYTHONQT)


SET(fontmatrix_MOC_HDRS
aboutwidget.h
browserwidget.h
activationwidget.h
activationwidgetitem.h
chartwidget.h
dataexport.h
dumpdialog.h
familywidget.h
filterbar.h
filterdata.h
filtersdialog.h
filtersdialogitem.h
filteritem.h
floatingwidget.h
floatingwidgettoolbar.h
fmactivate.h
fmaltcontext.h
fmaltselector.h
fmfloatingpreview.h
fmfontcompareview.h
fmfontdb.h
fmfontextract.h
fmfontstrings.h
fmfreetypelib.h
fmglyphhighlight.h
fmglyphsview.h
fmlayoptwidget.h
fmlayout.h
fmmatchraster.h
fmnamelist.h
fmplayground.h
fmpreviewlist.h
fmrepair.h
fmsampletextview.h
fontbookdialog.h
fontcomparewidget.h
fontitem.h
helpbrowser.h
# helpwidget.h
importtags.h
iview.h
QHexView.h
#listdockwidget.h
mainviewwidget.h
metawidget.h
modeltext.h
openclosearrow.h
panosedialog.h
panosewidget.h
parallelcoor.h
playwidget.h
prefspaneldialog.h
progressbarduo.h
remotedir.h
sampletoolbar.h
samplewidget.h
sctextbrowser.h
shortcuts.h
systray.h
# tagseteditor.h
tagswidget.h
tagswidget_listmodel.h
#textprogression.h
tttableview.h
typotek.h
)
QT5_WRAP_CPP(fontmatrix_MOC_SRCS 
${fontmatrix_MOC_HDRS} 
${PYTHONQT_SCRIPTER_MOC_HDRS})


SET(fontmatrix_UIS
${CMAKE_CURRENT_SOURCE_DIR}/about.ui
${CMAKE_CURRENT_SOURCE_DIR}/activationreportdialog.ui
${CMAKE_CURRENT_SOURCE_DIR}/activationwidget.ui
${CMAKE_CURRENT_SOURCE_DIR}/activationwidgetitem.ui
${CMAKE_CURRENT_SOURCE_DIR}/altselectorwidget.ui
${CMAKE_CURRENT_SOURCE_DIR}/bookexport.ui
${CMAKE_CURRENT_SOURCE_DIR}/browserwidget.ui
${CMAKE_CURRENT_SOURCE_DIR}/chartwidget.ui
${CMAKE_CURRENT_SOURCE_DIR}/comparewidget.ui
${CMAKE_CURRENT_SOURCE_DIR}/dataexport.ui
${CMAKE_CURRENT_SOURCE_DIR}/dumpdialog.ui
${CMAKE_CURRENT_SOURCE_DIR}/familywidget.ui
${CMAKE_CURRENT_SOURCE_DIR}/filterbar.ui
${CMAKE_CURRENT_SOURCE_DIR}/filtersdialog.ui
${CMAKE_CURRENT_SOURCE_DIR}/filtersdialogitem.ui
${CMAKE_CURRENT_SOURCE_DIR}/filteritem.ui
${CMAKE_CURRENT_SOURCE_DIR}/floatingwidgettoolbar.ui
${CMAKE_CURRENT_SOURCE_DIR}/fontextractordialog.ui
${CMAKE_CURRENT_SOURCE_DIR}/importedfonts.ui
${CMAKE_CURRENT_SOURCE_DIR}/importtags.ui
# ${CMAKE_CURRENT_SOURCE_DIR}/help.ui
${CMAKE_CURRENT_SOURCE_DIR}/helpbrowser.ui
${CMAKE_CURRENT_SOURCE_DIR}/layoutoptions.ui
#${CMAKE_CURRENT_SOURCE_DIR}/listsdock.ui
${CMAKE_CURRENT_SOURCE_DIR}/mainview.ui
${CMAKE_CURRENT_SOURCE_DIR}/metawidget.ui
${CMAKE_CURRENT_SOURCE_DIR}/matchraster.ui
${CMAKE_CURRENT_SOURCE_DIR}/panosedialog.ui
${CMAKE_CURRENT_SOURCE_DIR}/panosewidget.ui
${CMAKE_CURRENT_SOURCE_DIR}/playwidget.ui
${CMAKE_CURRENT_SOURCE_DIR}/prefs_panel.ui
${CMAKE_CURRENT_SOURCE_DIR}/progressbarduo.ui
${CMAKE_CURRENT_SOURCE_DIR}/repair.ui
${CMAKE_CURRENT_SOURCE_DIR}/sampletoolbar.ui
${CMAKE_CURRENT_SOURCE_DIR}/samplewidget.ui
# ${CMAKE_CURRENT_SOURCE_DIR}/tagset.ui
${CMAKE_CURRENT_SOURCE_DIR}/tagswidget.ui
${CMAKE_CURRENT_SOURCE_DIR}/textprogression.ui
${CMAKE_CURRENT_SOURCE_DIR}/tttablewidget.ui
)
QT5_WRAP_UI(fontmatrix_UIS_H 
${fontmatrix_UIS}
${PYTHONQT_SCRIPTER_UIS}
)

# extra translation files
SET(FONTMATRIX_TR_EXTRA
${CMAKE_CURRENT_SOURCE_DIR}/langs/unicode/uniblocks.cxx
)


SET(fontmatrix_RCCS
application.qrc
)
QT5_ADD_RESOURCES(fontmatrix_RCC_SRCS ${fontmatrix_RCCS})

FILE( GLOB FM_GLOB_TSS ${CMAKE_CURRENT_SOURCE_DIR}/messages/fontmatrix-*.ts )
# message(STATUS "lang files: ${FM_GLOB_TSS}")
IF ( TRANSLATOR )
	MESSAGE(STATUS "We are glad to see you handle the fontmatrix-${TRANSLATOR}.ts file, thank you very much")
	ADD_CUSTOM_TARGET(translation
			COMMAND ${QT_LUPDATE_EXECUTABLE}  ${fontmatrix_SRCS} ${fontmatrix_UIS} ${FONTMATRIX_TR_EXTRA} -ts "fontmatrix-${TRANSLATOR}.ts"
			DEPENDS ${fontmatrix_SRCS} ${fontmatrix_UIS}
			WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/messages"
			)
	SET( fontmatrix_TSS 
		${FM_GLOB_TSS} 
		"messages/fontmatrix-${TRANSLATOR}.ts" )
ELSE ( TRANSLATOR )
	SET( fontmatrix_TSS ${FM_GLOB_TSS} )
ENDIF( TRANSLATOR )





qt5_add_translation( fontmatrix_QMS ${fontmatrix_TSS} )
ADD_CUSTOM_TARGET ( translation_release ALL DEPENDS ${fontmatrix_QMS} )

# ADD_SUBDIRECTORY(messages)
ADD_SUBDIRECTORY(scripts)

include_directories(
${CMAKE_CURRENT_SOURCE_DIR}
${CMAKE_CURRENT_BINARY_DIR}
${QT_INCLUDE_DIR}
${QT_QT_INCLUDE_DIR}
${FREETYPE_INCLUDE_DIRS}
${HARFBUZZ_INCLUDE_DIR}
${FONTCONFIG_INCLUDE_DIR}
${ICU_INCLUDE_DIR}
${M17N_INCLUDE_DIR}
${HYPHENATE_INCLUDE_DIR}
${PYTHON_INCLUDE_PATH}
${PYTHONQT_INCLUDE_DIRS}
${LIBPODOFO_INCLUDE_DIR}
)


IF(UNIX AND NOT APPLE)
	add_executable(fontmatrix
	${fontmatrix_SRCS}
	${SHAPERS_SRCS}
	${PYTHONQT_SCRIPTER_SRCS}
	${fontmatrix_MOC_SRCS}
	${fontmatrix_UIS_H}
	${fontmatrix_RCC_SRCS}
	${PODOFO_SRCS}
	)

	target_link_libraries(fontmatrix harfbuzz hyphenate 
	${PYTHONQT_LIB}
	${QT_LIBRARIES}
	${FREETYPE_LIBRARIES}
	${FONTCONFIG_LIBRARIES}
	${SHAPERS_LIBRARIES}
	${PYTHON_LIBRARIES}
	${LIBPODOFO_LIBRARY}
	)

	INSTALL(TARGETS fontmatrix
	RUNTIME DESTINATION ${FONTMATRIX_BIN}
	)
	INSTALL ( FILES ${fontmatrix_QMS} DESTINATION ${FONTMATRIX_QMDIR} )
ENDIF(UNIX AND NOT APPLE)

IF(APPLE)
	add_executable(fontmatrix MACOSX_BUNDLE
	${fontmatrix_SRCS}
	${SHAPERS_SRCS}
	${PYTHONQT_SCRIPTER_SRCS}
	${fontmatrix_MOC_SRCS}
	${fontmatrix_UIS_H}
	${fontmatrix_RCC_SRCS}
	${PODOFO_SRCS}
	)

	target_link_libraries(fontmatrix harfbuzz hyphenate
	${PYTHONQT_LIB}
	${QT_LIBRARIES}
	${FREETYPE_LIBRARIES}
	${SHAPERS_LIBRARIES}
	${PYTHON_LIBRARIES}
	${LIBPODOFO_LIBRARY}
	"-framework ApplicationServices"
	)

	# here we’ll poupulate the bundle in order to make it
	# self containing regarding external libs (Qt4 & Freetype)
	# and resources such as QM files.
	# NOTE: Mac users are not expected to build Fontmatrix
	# themselves, thus paths are hard coded because it works on the Mac
	# where we use to build it, period.

	# See:
	# http://doc.trolltech.com/4.4/deployment-mac.html
	# http://developer.apple.com/documentation/CoreFoundation/Conceptual/CFBundles/CFBundles.html

	SET(PROGNAME fontmatrix)

	SET(MACOSX_BUNDLE_BUNDLE_NAME "fontmatrix")
	SET(MACOSX_BUNDLE_ICON_FILE "fontmatrix.icns")
	SET(MACOSX_BUNDLE_GUI_IDENTIFIER "org.undertype.fontmatrix")
	SET(MACOSX_BUNDLE_LONG_VERSION_STRING "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}")
	SET(MACOSX_BUNDLE_SHORT_VERSION_STRING "${VERSION_MAJOR}.${VERSION_MINOR}")
	SET(MACOSX_BUNDLE_BUNDLE_VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}")
	SET(MACOSX_BUNDLE_COPYRIGHT "© Fontmatrix team - 2007, 2008")

	SET(BUNDLE_RESOURCES_DIR	"${CMAKE_CURRENT_BINARY_DIR}/${PROGNAME}.app/Contents/Resources/")
	SET(BUNDLE_LOCALES_DIR		"${CMAKE_CURRENT_BINARY_DIR}/${PROGNAME}.app/Contents/Resources/Locales/")

# bundles general resources
	ADD_CUSTOM_COMMAND( TARGET ${PROGNAME} POST_BUILD
	COMMAND mkdir ARGS -p ${BUNDLE_RESOURCES_DIR}

=== help/nb/CMakeLists.txt ===
SET(FM_HELP_FILES_EN
menu.xml
style.css
index.html
readme.html
)

INSTALL(FILES ${FM_HELP_FILES_EN}
	DESTINATION "${HELPDIR}nb")

=== pythonqt/src/CMakeLists.txt ===
# A contributed CMakeLists file (pm)
# src/CMakeLists.txt
SET(PythonQtHDRS
PythonQt.h
PythonQtStdDecorators.h
PythonQtClassInfo.h
PythonQtImporter.h
PythonQtObjectPtr.h
PythonQtSlot.h
PythonQtStdOut.h
PythonQtMisc.h
PythonQtMethodInfo.h
PythonQtImportFileInterface.h
PythonQtConversion.h
PythonQtSignalReceiver.h
PythonQtWrapper.h
PythonQtMetaObjectWrapper.h
PythonQtCppWrapperFactory.h
PythonQtVariants.h
PythonQtVariantWrapper.h
wrapper/PythonQtWrappedVariants.h
gui/PythonQtScriptingConsole.h
PythonQtSystem.h
)

SET(PythonQtMOC_HDRS
PythonQt.h
PythonQtStdDecorators.h
PythonQtSignalReceiver.h
wrapper/PythonQtWrappedVariants.h
gui/PythonQtScriptingConsole.h
)

QT4_WRAP_CPP(PythonQtMoced ${PythonQtMOC_HDRS})

SET(PythonQtSRCS
PythonQtStdDecorators.cpp
PythonQt.cpp
PythonQtClassInfo.cpp  
PythonQtImporter.cpp
PythonQtObjectPtr.cpp
PythonQtStdOut.cpp
PythonQtSlot.cpp
PythonQtMisc.cpp
PythonQtMethodInfo.cpp
PythonQtConversion.cpp
PythonQtSignalReceiver.cpp
PythonQtVariants.cpp
PythonQtVariantWrapper.cpp
PythonQtWrapper.cpp
PythonQtMetaObjectWrapper.cpp
gui/PythonQtScriptingConsole.cpp
)

include_directories(
${CMAKE_CURRENT_SOURCE_DIR}
${CMAKE_CURRENT_BINARY_DIR}
${QT_INCLUDE_DIR}
${QT_QT_INCLUDE_DIR}
${PYTHON_INCLUDE_PATH}
)

SET(HACK_LINK util)

ADD_LIBRARY(PythonQt STATIC ${PythonQtSRCS} ${PythonQtMoced})
TARGET_LINK_LIBRARIES(PythonQt ${HACK_LINK})

=== samples/fr/CMakeLists.txt ===
# Exemples en Français

set(SAMPLES_FR
Mamere
)

install(FILES ${SAMPLES_FR}
	DESTINATION ${SAMPLE_DIR}/fr)

=== samples/he/CMakeLists.txt ===
# Example in Hebrew

set(SAMPLES_HE
sample
)

install(FILES ${SAMPLES_HE}
	DESTINATION ${SAMPLE_DIR}/he)

=== samples/mr/CMakeLists.txt ===


set(SAMPLES_MR
sample
)

install(FILES ${SAMPLES_MR}
	DESTINATION ${SAMPLE_DIR}/mr)

=== samples/ru/CMakeLists.txt ===
# Примеры на русском языке

set(SAMPLES_RU
Гоголь
)

install(FILES ${SAMPLES_RU}
	DESTINATION ${SAMPLE_DIR}/ru)

=== samples/ta/CMakeLists.txt ===


set(SAMPLES_TA
sample
)

install(FILES ${SAMPLES_TA}
	DESTINATION ${SAMPLE_DIR}/ta)

=== debian/changelog ===
fontmatrix (0.9.99-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Team upload.
  * Fix FTCBFS: Let dh_auto_configure pass cross flags to cmake.
    (Closes: #951739)

  [ Gürkan Myczko ]
  * Thanks Helmut Grohne for the patch.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 07 Apr 2020 12:32:21 +0200

fontmatrix (0.9.99-1) unstable; urgency=medium

  * Add debian/missing-sources. (Closes: #744698)
  * Fix version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 17 Feb 2020 12:09:08 +0100

fontmatrix (0.6.1+git20190730-3) unstable; urgency=medium

  * Also install help files, update manual page. (Closes: #602823)
  * Fix Vcs fields.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 05 Feb 2020 08:17:30 +0100

fontmatrix (0.6.1+git20190730-2) unstable; urgency=medium

  * Add Vcs fields.
  * Bump standards version to 4.5.0.
  * d/README.source. (Closes: #787350)
  * d/control: drop Oleksandr Moskalenko. (Closes: #820140)
  * Upstream fixed FTBFS. (Closes: #607148)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 04 Feb 2020 13:14:47 +0100

fontmatrix (0.6.1+git20190730-1) unstable; urgency=medium

  * New upstream version, reintroduce package.
  * Bump standards version to 4.4.1.
  * Bump debhelper version to 11.
  * debian/control:
    - update my name.
    - update Homepage field.
  * debian/patches: dropped.
  * debian/menu: dropped.
  * debian/copyright: rewritten.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 09 Jan 2020 14:31:22 +0100

=== debian/control ===
Source: fontmatrix
Section: graphics
Priority: optional
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends: debhelper (>= 11), libfreetype6-dev, qtbase5-dev, cmake, libfontconfig1-dev, libicu-dev, libpuzzle-dev, libqt5webkit5-dev, libqt5svg5-dev, libqt5webkit5-dev, qtdeclarative5-dev, qttools5-dev
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/fonts-team/fontmatrix.git
Vcs-Browser: https://salsa.debian.org/fonts-team/fontmatrix
Homepage: https://github.com/fcoiffie/fontmatrix

Package: fontmatrix
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libjs-jquery
Description: featureful personal font manager
 This is a manager built with the kind of features and abilities
 graphic designers, layout professionals along with others have felt
 necessary, but modernized with some new touches.
 .
 Fontmatrix has a concept of 'tagging'. This makes it really nice to group
 fonts and even sub-group them logically for use in a book for instance.
 It also has extensive gui support for showing all glyphs in a font,
 previews of sample text, variable sizing and also tells what kinds of
 advanced Open Type features are inside each font. These features have
 never been seen outside of a font editor. And not least, it creates a
 nice PDF catalogue of user's fonts for printing or reference. In short,
 fontmatrix is a font manager for professionals, but is nice and user
 friendly.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
package=fontmatrix
CMAKE=/usr/bin/cmake
DEBIAN_DIR = $(shell pwd)/debian
BUILD_DIR = $(shell pwd)/debian/build
INSTALL_DIR = $(shell pwd)/debian/fontmatrix

ifeq ($(DEB_HOST_GNU_TYPE), alpha-linux)
OPT_FLAG = -O0
else
OPT_FLAG = -O2
endif

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
OPT_FLAG = -O0
endif

OPT_FLAG += -g -Wall

configure: configure-stamp
configure-stamp:
	dh_testdir
	mkdir -p $(BUILD_DIR)
	dh_auto_configure --builddirectory=$(BUILD_DIR) -- \
		-DCMAKE_SKIP_RPATH:BOOL=1 \
		-DRPATH_STYLE:STRING=none \
		-DCMAKE_C_FLAGS:STRING='$(OPT_FLAG)'
#for the future   -DWANT_PODOFO:bool=1
	touch configure-stamp
#            -DCMAKE_BUILD_TYPE=Debug

build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	cd $(BUILD_DIR) && $(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -rf $(BUILD_DIR) $(INSTALL_DIR)
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs
	dh_install *.desktop usr/share/applications/
	dh_install fontmatrix.png usr/share/pixmaps/
	# Add here commands to install the package into debian/fontmatrix.
#	cp bin/fontmatrix DESTDIR=$(CURDIR)/debian/fontmatrix/usr/bin/

# Build architecture-dependent files here.
#build %:
#	dh $@
#	dh_installman -pfontmatrix fontmatrix.1

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installdirs
	dh_install
	dh_installexamples
	dh_installmenu
	dh_installman -pfontmatrix fontmatrix.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


upstream:
	find . -name ".svn*" -exec rm -rf {} \;

binary: binary-indep binary-arch
.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install configure

## fontmatrix 0.9.100%2Bds

=== samples/or/CMakeLists.txt ===


set(SAMPLES_OR
sample
)

install(FILES ${SAMPLES_OR}
	DESTINATION ${SAMPLE_DIR}/or)

=== src/hyphenate/CMakeLists.txt ===
include_directories(
${CMAKE_SOURCE_DIR}/src
)

set(HYPHENATE_SRCS
hnjalloc.c
hyphen.c
fmhyphenator.cpp
)

add_library(hyphenate
STATIC ${HYPHENATE_SRCS})
target_link_libraries(hyphenate Qt5::Core)

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: fontmatrix
 Section: graphics
 Priority: optional
-Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
 Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
-Build-Depends: debhelper (>= 11), libfreetype6-dev, qtbase5-dev, cmake, libfontconfig1-dev, libicu-dev, libpuzzle-dev, libqt5webkit5-dev, libqt5svg5-dev, libqt5webkit5-dev, qtdeclarative5-dev, qttools5-dev
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13), libfreetype6-dev, qtbase5-dev, cmake, libfontconfig1-dev, libicu-dev, libpuzzle-dev, libqt5svg5-dev, libqt5webkit5-dev, qtdeclarative5-dev, qttools5-dev
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/fonts-team/fontmatrix.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/fontmatrix
 Homepage: https://github.com/fcoiffie/fontmatrix

## fontmatrix 0.9.100+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 SET (VERSION_MAJOR "0")
 SET (VERSION_MINOR "9")
-SET (VERSION_PATCH "99")
+SET (VERSION_PATCH "100")
 SET (VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
 ADD_DEFINITIONS(-DFONTMATRIX_VERSION_MAJOR=${VERSION_MAJOR} -DFONTMATRIX_VERSION_MINOR=${VERSION_MINOR} -DFONTMATRIX_VERSION_PATCH=${VERSION_PATCH})
 MESSAGE(STATUS "Building Fontmatrix ${VERSION}")

=== dodict/CMakeLists.txt ===
PROJECT(dodict) # ugly name
CMAKE_MINIMUM_REQUIRED(VERSION 2.6.0)

SET (QT_MIN_VERSION "4.4.0")
FIND_PACKAGE(Qt4 REQUIRED)
SET (QT_MT_REQUIRED TRUE)
# SET (QT_USE_QTXML TRUE )
# SET (QT_USE_QTSVG TRUE )
# SET (QT_USE_QTSQL TRUE )
# SET (QT_USE_QTNETWORK TRUE )
# SET (QT_USE_QTWEBKIT TRUE )
# SET (QT_USE_QTOPENGL TRUE )
INCLUDE( ${QT_USE_FILE} )

include_directories(
${CMAKE_CURRENT_SOURCE_DIR}
${CMAKE_CURRENT_BINARY_DIR}
${QT_INCLUDE_DIR}
${QT_QT_INCLUDE_DIR}
)

SET(dodict_SOURCES
dodict.cpp
)

ADD_EXECUTABLE(dodict ${dodict_SOURCES})
target_link_libraries(dodict ${QT_LIBRARIES})

=== help/CMakeLists.txt ===
## Help ##

# Now it’s just a matter of maintaining a list of all
# needed files, when releasing - pm

SET(FM_HELP_DIR ${CMAKE_SOURCE_DIR}/help/)

ADD_SUBDIRECTORY(${FM_HELP_DIR}en)

=== harfbuzz/src/CMakeLists.txt ===
IF(WANT_HARFBUZZ)
	SET(harfbuzz_SOURCES
	harfbuzz-arabic.c
	harfbuzz.c
	harfbuzz-gsub.c
	harfbuzz-hebrew.c
	harfbuzz-myanmar.c
	harfbuzz-stream.c
	harfbuzz-buffer.c
	harfbuzz-dump.c
	harfbuzz-gdef.c
	harfbuzz-gpos.c
	harfbuzz-hangul.c
	harfbuzz-khmer.c
	harfbuzz-open.c
	harfbuzz-tibetan.c
	harfbuzz-indic.cpp 
	harfbuzz-shaper-all.cpp
	harfbuzz-shaper.cpp
	harfbuzz-thai.c
	harfbuzz-impl.c
	)
ELSE(WANT_HARFBUZZ)
	SET(harfbuzz_SOURCES
	harfbuzz.c
	harfbuzz-gsub.c
	harfbuzz-stream.c
	harfbuzz-buffer.c
	harfbuzz-gdef.c
	harfbuzz-gpos.c
	harfbuzz-open.c
	harfbuzz-impl.c
	)
ENDIF(WANT_HARFBUZZ)


ADD_LIBRARY(harfbuzz
STATIC ${harfbuzz_SOURCES})


# MESSAGE(STATUS "Adding ${harfbuzz}" )

=== help/en/CMakeLists.txt ===
SET(FM_HELP_FILES_EN
additional_db_check.html
additional_editing_panose.html
additional_export_for_packaging.html
additional_extracting_fonts.html
additional.html
additional_ttf_tables.html
basics.html
comparisons_fonts.html
comparisons_glyphs.html
comparisons.html
contributing.html
contributing_programming.html
contributing_testing.html
contributing_translating.html
creating_font_books.html
export_fonts.html
external_tools.html
font_books.html
font_book_templates.html
index.html
interface.html
management.html
management_activation.html
management_importing.html
management_tags.html
menu.xml
news.html
output.html
printing_fonts.html
resources.html
scripting.html
search.html
search_in_generic_metadata.html
search_in_panose.html
search_using_bitmap_samples.html
setting_up.html
setting_up_layout_engine_options.html
setting_up_preferences_display.html
setting_up_preferences_files_and_folders.html
setting_up_preferences_general.html
setting_up_preferences.html
setting_up_preferences_samples_collection.html
setting_up_preferences_service.html
setting_up_preferences_shortcuts.html
setting_up_preferences_system_tray.html
style.css
what_fonts_are.html
why_fontmatrix.html
why_management.html
viewing_glyphs_chart.html
viewing.html
viewing_overview.html
viewing_sample_text.html
)

FILE( GLOB FM_HELP_IMAGES_EN images/*.png )


INSTALL(FILES ${FM_HELP_FILES_EN}
	DESTINATION "${HELPDIR}/en")

INSTALL(FILES ${FM_HELP_IMAGES_EN}
	DESTINATION "${HELPDIR}/en/images")

=== samples/de/CMakeLists.txt ===
# Beispiel im Deutsch

set(SAMPLES_DE
sample
)

install(FILES ${SAMPLES_DE}
	DESTINATION ${SAMPLE_DIR}/de)

=== samples/gu/CMakeLists.txt ===


set(SAMPLES_GU
sample
)

install(FILES ${SAMPLES_GU}
	DESTINATION ${SAMPLE_DIR}/gu)

=== samples/hi/CMakeLists.txt ===


set(SAMPLES_HI
sample
)

install(FILES ${SAMPLES_HI}
	DESTINATION ${SAMPLE_DIR}/hi)

=== samples/kn/CMakeLists.txt ===


set(SAMPLES_KN
sample
)

install(FILES ${SAMPLES_KN}
	DESTINATION ${SAMPLE_DIR}/kn)

=== samples/ml/CMakeLists.txt ===


set(SAMPLES_ML
sample
)

install(FILES ${SAMPLES_ML}
	DESTINATION ${SAMPLE_DIR}/ml)

=== samples/te/CMakeLists.txt ===


set(SAMPLES_TE
sample
)

install(FILES ${SAMPLES_TE}
	DESTINATION ${SAMPLE_DIR}/te)

=== src/scripts/CMakeLists.txt ===
# Scripts CMakeLists

SET(SAMPLE_SCRIPTS
fontforge_subset.py
fonttools_showxml.py
xetex_fontbook.py
import_tags.py
)

IF(UNIX AND NOT APPLE)
	SET(SAMPLE_SCRIPTS_DIR "share/fontmatrix/resources/Scripts/")
	
	INSTALL(FILES
	${SAMPLE_SCRIPTS}
	DESTINATION "${SAMPLE_SCRIPTS_DIR}"
	)
	
ENDIF(UNIX AND NOT APPLE)

=== debian/changelog ===
fontmatrix (0.9.100+ds-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 28 Feb 2023 18:37:41 -0800

fontmatrix (0.9.100+ds-1) unstable; urgency=medium

  * New upstream version. (Closes: #579314)
  * d/upstream/metadata: added.
  * d/copyright:
    - update copyright years.
    - added Upstream-Contact.
  * source/lintian-overrides: fix typo.
  * d/changelog: drop trailing whitespace.
  * d/rules: drop trailing whitespace.
  * Bump standards version to 4.5.1.
  * d/watch: updated.
  * d/control:
    - added Rules-Requires-Root.
    - drop duplicate Build-Depends libqt5webkit5-dev.
  * Bump debhelper version to 13, drop d/compat.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 07 Sep 2021 12:27:57 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,20 @@
 Source: fontmatrix
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
 Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
-Build-Depends: debhelper-compat (= 13), libfreetype6-dev, qtbase5-dev, cmake, libfontconfig1-dev, libicu-dev, libpuzzle-dev, libqt5svg5-dev, libqt5webkit5-dev, qtdeclarative5-dev, qttools5-dev
+Build-Depends: cmake,
+               debhelper-compat (= 12),
+               libfontconfig1-dev,
+               libfreetype6-dev,
+               libicu-dev,
+               libpuzzle-dev,
+               libqt5svg5-dev,
+               libqt5webkit5-dev,
+               qtbase5-dev,
+               qtdeclarative5-dev,
+               qttools5-dev
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/fonts-team/fontmatrix.git
@@ -13,7 +23,7 @@
 
 Package: fontmatrix
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libjs-jquery
+Depends: libjs-jquery, ${misc:Depends}, ${shlibs:Depends}
 Description: featureful personal font manager
  This is a manager built with the kind of features and abilities
  graphic designers, layout professionals along with others have felt

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 # -*- makefile -*-
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+export QT_SELECT = 5
+
 package=fontmatrix
 CMAKE=/usr/bin/cmake
 DEBIAN_DIR = $(shell pwd)/debian
@@ -34,7 +36,7 @@
 
 build: build-stamp
 
-build-stamp: configure-stamp 
+build-stamp: configure-stamp
 	dh_testdir
 	cd $(BUILD_DIR) && $(MAKE)
 	touch $@
